org.apache.ignite.internal.processors.platform.memory

## Interface PlatformInputStream

All Superinterfaces:
  BinaryInputStream, BinaryPositionReadable, BinaryStream

All Known Implementing Classes:
  PlatformBigEndianInputStreamImpl, PlatformInputStreamImpl

    public interface PlatformInputStream
    extends BinaryInputStream

Interop output stream,

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `synchronize()` Synchronize input.

### Methods inherited from interface org.apache.ignite.internal.binary.streams.BinaryInputStream

`read, readBoolean, readBooleanArray, readByte, readByteArray, readChar, readCharArray, readDouble, readDoubleArray, readFloat, readFloatArray, readInt, readIntArray, readLong, readLongArray, readShort, readShortArray, remaining`

### Methods inherited from interface org.apache.ignite.internal.binary.streams.BinaryStream

`array, arrayCopy, capacity, hasArray, offheapPointer, position, position, rawOffheapPointer`

### Methods inherited from interface org.apache.ignite.internal.binary.BinaryPositionReadable

`readBytePositioned, readIntPositioned, readShortPositioned`

### Method Detail

#### synchronize

    void synchronize()

Synchronize input. Must be called before start reading data from a memory changed by another platform.

2018 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 2.4.0
Release Date | : March 5 2018